### Hierarchy

- Notification
  - Toast

## Index

### Inputs

- notificationObj

### Outputs

- close

### Constructors

- constructor

### Properties

- _notificationObj
- close
- componentRef
- i18n
- notification
- notificationClass
- notificationDisplayService
- notificationID
- role
- notificationCount

### Accessors

- isCloseHidden
- isError
- isInfo
- isLowContrast
- isSuccess
- isWarning
- notificationObj

### Methods

- destroy
- onClick
- onClose

### Object literals

- defaultNotificationObj

## Constructors

### constructor

- new Notification(notificationDisplayService: NotificationDisplayService, i18n: I18n): Notification

- - Defined in src/notification/notification.component.ts:129

  #### Parameters

  - ##### notificationDisplayService: NotificationDisplayService

  - ##### i18n: I18n

  #### Returns Notification

## Properties

### Protected _notificationObj

_notificationObj: NotificationContent = Object.assign({}, this.defaultNotificationObj)

- Defined in src/notification/notification.component.ts:129

### close

@Output()
close: EventEmitter<any> = new EventEmitter()

- Defined in src/notification/notification.component.ts:104

### componentRef

componentRef: ComponentRef<Notification>

- Defined in src/notification/notification.component.ts:106

### Protected i18n

i18n: I18n

- Defined in src/notification/notification.component.ts:131

### notification

@ViewChild({"selector":"notification","opts":"{ static: false }"})
notification: any

- Defined in src/notification/notification.component.ts:109

### notificationClass

@HostBinding({"hostPropertyName":"class.bx--inline-notification"})
notificationClass: boolean = true

- Defined in src/notification/notification.component.ts:112

### Protected notificationDisplayService

notificationDisplayService: NotificationDisplayService

- Defined in src/notification/notification.component.ts:131

### notificationID

@HostBinding({"hostPropertyName":"attr.id"})
notificationID: string = `notification-${Notification.notificationCount++}`

- Defined in src/notification/notification.component.ts:111

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "alert"

- Defined in src/notification/notification.component.ts:113

### Static Private notificationCount

notificationCount: number = 0

- Defined in src/notification/notification.component.ts:83

## Accessors

### isCloseHidden

@HostBinding({"hostPropertyName":"class.bx--inline-notification--hide-close-button"})
isCloseHidden:

- Defined in src/notification/notification.component.ts:120

### isError

@HostBinding({"hostPropertyName":"class.bx--inline-notification--error"})
isError:

- Defined in src/notification/notification.component.ts:115

### isInfo

@HostBinding({"hostPropertyName":"class.bx--inline-notification--info"})
isInfo:

- Defined in src/notification/notification.component.ts:116

### isLowContrast

@HostBinding({"hostPropertyName":"class.bx--inline-notification--low-contrast"})
isLowContrast:

- Defined in src/notification/notification.component.ts:119

### isSuccess

@HostBinding({"hostPropertyName":"class.bx--inline-notification--success"})
isSuccess:

- Defined in src/notification/notification.component.ts:117

### isWarning

@HostBinding({"hostPropertyName":"class.bx--inline-notification--warning"})
isWarning:

- Defined in src/notification/notification.component.ts:118

### notificationObj

@Input()
notificationObj:

- Defined in src/notification/notification.component.ts:91
- Defined in src/notification/notification.component.ts:94

## Methods

### destroy

- destroy(): void

- - Defined in src/notification/notification.component.ts:151

  #### Returns void

### onClick

- onClick(action: any, event: any): void

- - Defined in src/notification/notification.component.ts:140

  #### Parameters

  - ##### action: any

  - ##### event: any

  #### Returns void

### onClose

- onClose(): void

- - Defined in src/notification/notification.component.ts:136

  #### Returns void

## Object literals

### Protected defaultNotificationObj

defaultNotificationObj: object

- Defined in src/notification/notification.component.ts:122

### closeLabel

closeLabel: any = this.i18n.get("NOTIFICATION.CLOSE_BUTTON")

- Defined in src/notification/notification.component.ts:127

### message

message: string = ""

- Defined in src/notification/notification.component.ts:124

### showClose

showClose: boolean = true

- Defined in src/notification/notification.component.ts:126

### title

title: string = ""

- Defined in src/notification/notification.component.ts:123

### type

type: string = "info"

- Defined in src/notification/notification.component.ts:125

Generated using TypeDoc